WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | Protected Attributes | List of all members
winstd::eap_runtime_error Class Reference
Exceptions

EapHost runtime error. More...

`#include <EAP.h>`

Inheritance diagram for winstd::eap_runtime_error:

## Public Member Functions
| eap_runtime_error (_In_ const EAP_ERROR &err, _In_ const std::string &msg)
| Constructs an exception. More...
| eap_runtime_error (_In_ const EAP_ERROR &err, _In_opt_z_ const char *msg=nullptr)
| Constructs an exception. More...
const EAP_METHOD_TYPE & | type () const noexcept
| Returns EAP method type.
DWORD | reason () const noexcept
| Returns the reason code for error.
const GUID & | root_cause_id () const noexcept
| Returns root cause ID.
const wchar_t * | root_cause () const noexcept
| Returns root cause ID.
const GUID & | repair_id () const noexcept
| Returns repair ID.
const wchar_t * | repair () const noexcept
| Returns root cause ID.
const GUID & | help_link_id () const noexcept
| Returns help_link ID.
Public Member Functions inherited from winstd::win_runtime_error
| win_runtime_error (_In_ error_type num, _In_ const std::string &msg)
| Constructs an exception. More...
| win_runtime_error (_In_ error_type num, _In_opt_z_ const char *msg=nullptr)
| Constructs an exception. More...
| win_runtime_error (_In_ const std::string &msg)
| Constructs an exception using `GetLastError()` More...
| win_runtime_error (_In_opt_z_ const char *msg=nullptr)
| Constructs an exception using `GetLastError()` More...
tstring | msg (_In_opt_ DWORD dwLanguageId=0) const
| Returns a user-readable Windows error message. More...
Public Member Functions inherited from winstd::num_runtime_error< DWORD >
| num_runtime_error (_In_ error_type num, _In_ const std::string &msg)
| Constructs an exception. More...
| num_runtime_error (_In_ error_type num, _In_opt_z_ const char *msg=nullptr)
| Constructs an exception. More...
error_type | number () const
| Returns the Windows error number.

## Protected Attributes
EAP_METHOD_TYPE | m_type
| Structure that identifies the EAP method that raised the error.
DWORD | m_reason
| The reason code for the error.
GUID | m_root_cause_id
| A unique ID that identifies cause of error in EAPHost.
std::wstring | m_root_cause_desc
| A localized and readable string that describes the root cause of the error.
GUID | m_repair_id
| A unique ID that maps to a localizable string that identifies the repair action that can be taken to fix the reported error.
std::wstring | m_repair_desc
| A localized and readable string that describes the possible repair action.
GUID | m_help_link_id
| A unique ID that maps to a localizable string that specifies an URL for a page that contains additional information about an error or repair message.
Protected Attributes inherited from winstd::num_runtime_error< DWORD >
error_type | m_num
| Numeric error code.

## Additional Inherited Members
Public Types inherited from winstd::num_runtime_error< DWORD >
typedef DWORD | error_type
| Error number type.

## Detailed Description

EapHost runtime error.

See also
  EAP_ERROR structure

## Constructor & Destructor Documentation

## ◆ eap_runtime_error() [1/2]

winstd::eap_runtime_error::eap_runtime_error | ( | _In_ const EAP_ERROR & | err,
|  | _In_ const std::string & | msg
| ) |  |
| inline

Constructs an exception.

Parameters

  [in] | err | EapHost error descriptor
  [in] | msg | Error message

## ◆ eap_runtime_error() [2/2]

winstd::eap_runtime_error::eap_runtime_error | ( | _In_ const EAP_ERROR & | err,
|  | _In_opt_z_ const char * | msg = `nullptr`
| ) |  |
| inline

Constructs an exception.

Parameters

  [in] | err | EapHost error descriptor
  [in] | msg | Error message

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h